<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class MerchantPaymentPartnerAction extends \Google\Protobuf\Internal\Message
{
    


    protected $status = null;
    


    protected $country = null;
    


    protected $gatewayName = null;
    


    protected $credentialId = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getStatus()
    {
        return isset($this->status) ? $this->status : 0;
    }

    public function hasStatus()
    {
        return isset($this->status);
    }

    public function clearStatus()
    {
        unset($this->status);
    }

    




    public function setStatus($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\SyncActionValue\MerchantPaymentPartnerAction\Status::class);
        $this->status = $var;

        return $this;
    }

    



    public function getCountry()
    {
        return isset($this->country) ? $this->country : '';
    }

    public function hasCountry()
    {
        return isset($this->country);
    }

    public function clearCountry()
    {
        unset($this->country);
    }

    




    public function setCountry($var)
    {
        GPBUtil::checkString($var, True);
        $this->country = $var;

        return $this;
    }

    



    public function getGatewayName()
    {
        return isset($this->gatewayName) ? $this->gatewayName : '';
    }

    public function hasGatewayName()
    {
        return isset($this->gatewayName);
    }

    public function clearGatewayName()
    {
        unset($this->gatewayName);
    }

    




    public function setGatewayName($var)
    {
        GPBUtil::checkString($var, True);
        $this->gatewayName = $var;

        return $this;
    }

    



    public function getCredentialId()
    {
        return isset($this->credentialId) ? $this->credentialId : '';
    }

    public function hasCredentialId()
    {
        return isset($this->credentialId);
    }

    public function clearCredentialId()
    {
        unset($this->credentialId);
    }

    




    public function setCredentialId($var)
    {
        GPBUtil::checkString($var, True);
        $this->credentialId = $var;

        return $this;
    }

}

